Get an event participant

Returns one registered team of the event with status, seed, and roster. The roster shows the display name, image, and role of each member. A participant of another event answers 404 `not_found`.

GET/api/v2/events/{eventId}/participants/{participantId}

Parameters #

PropertyTypeLocationDescription
eventIdstringRequiredpath-
participantIdstringRequiredpath-

Request #

curl --request GET 'https://strave.gg/api/v2/events/EVENT_ID/participants/PARTICIPANT_ID' \
  --header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'

Response #

200Response for status 200
application/json
400Response for status 400
application/json
401Response for status 401
application/json
403Response for status 403
application/json
404Response for status 404
application/json
429Response for status 429
application/json
500Response for status 500
application/json
503Response for status 503
application/json
PropertyTypeDescription
dataobjectRequired-
└idstringRequired-
└eventIdstringRequired-
└sourceTeamIdstring | nullRequired-
└namestringRequired-
└tagstringRequired-
└logoUrlstring | nullRequired-
└statusstringRequired-
└seednumber | nullRequired-
└registeredAtstringRequired-
└membersobject[]Required-
└userIdstringRequired-
└displayNamestringRequired-
└imageUrlstring | nullRequired-
└rolestringRequired-
└staffRolestring | nullRequired-
└revisionintegerRequired-